Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jbi.servicedesc
Interface ServiceEndpoint

public interface ServiceEndpoint

Reference to an endpoint, used to refer to an endpoint as well as query information about the endpoint. An endpoint is an addressable entity in the JBI system, used for accessing the provider of a specific service.

Author:
  JSR208 Expert Group

Method Summary
`org.w3c.dom.DocumentFragment` | `getAsReference(javax.xml.namespace.QName operationName)` Get a reference to this endpoint, using an endpoint reference vocabulary that is known to the provider.
`java.lang.String` | `getEndpointName()` Returns the name of this endpoint.
`javax.xml.namespace.QName[]` | `getInterfaces()` Get the qualified names of all the interfaces implemented by this service endpoint.
`javax.xml.namespace.QName` | `getServiceName()` Returns the service name of this endpoint.

Method Detail

### getAsReference

    public org.w3c.dom.DocumentFragment getAsReference(javax.xml.namespace.QName operationName)

  Get a reference to this endpoint, using an endpoint reference vocabulary that is known to the provider.

  Parameters:
    `operationName` - the name of the operation to be performed by a consumer of the generated endpoint reference. Set to `null` if this is not applicable.
  Returns:
    endpoint reference as an XML fragment; `null` if the provider does not support such references.

### getEndpointName

    public java.lang.String getEndpointName()

  Returns the name of this endpoint.

  Returns:
    the endpoint name.

### getInterfaces

    public javax.xml.namespace.QName[] getInterfaces()

  Get the qualified names of all the interfaces implemented by this service endpoint.

  Returns:
    array of all interfaces implemented by this service endpoint; must be non-null and non-empty.

### getServiceName

    public javax.xml.namespace.QName getServiceName()

  Returns the service name of this endpoint.

  Returns:
    the qualified service name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Built 06/07/2005 11:16 AM on acer (SunOS 5.9)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2005 Sun Microsystems Inc., All Rights Reserved.